Subject: [PATCH v11 00/10] Support for creating generic PCI host bridges from DT

From: [email-masked] (Bjorn Helgaas)
Date: Fri, 19 Sep 2014 15:59:05 -0600

On Thu, Sep 18, 2014 at 02:30:15AM +0100, Liviu Dudau wrote:
> This is my version 11 of the attempt at adding support for generic PCI host
> bridge controllers that make use of device tree information to
> configure themselves. It contains minor cleanups compared with v10 to address
> the existing comments.
> ...
> Catalin Marinas (1):
>   PCI: Introduce generic domain handling for PCI busses.
> 
> Liviu Dudau (9):
>   Fix ioport_map() for !CONFIG_GENERIC_IOMAP cases.
>   PCI: Introduce helper functions to deal with PCI I/O ranges.
>   ARM: Define PCI_IOBASE as the base of virtual PCI IO space.
>   PCI: OF: Fix the conversion of IO ranges into IO resources.
>   PCI: Create pci_host_bridge before its associated bus in
>     pci_create_root_bus.
>   OF: Introduce helper function for getting PCI domain_nr
>   OF: PCI: Add support for parsing PCI host bridge resources from DT
>   PCI: Assign unassigned bus resources in pci_scan_root_bus()
>   PCI: Introduce pci_remap_iospace() for remapping PCI I/O bus resources
>     into CPU space
> 
>  arch/arm/include/asm/io.h         |   1 +
>  arch/arm/mach-integrator/pci_v3.c |  23 +++---
>  drivers/of/address.c              | 146 ++++++++++++++++++++++++++++++++
>  drivers/of/of_pci.c               | 170 ++++++++++++++++++++++++++++++++++++++
>  drivers/pci/host/pci-tegra.c      |  10 ++-
>  drivers/pci/host/pcie-rcar.c      |  21 +++--
>  drivers/pci/pci.c                 |  33 ++++++++
>  drivers/pci/probe.c               |  46 +++++++----
>  include/asm-generic/io.h          |   2 +-
>  include/asm-generic/pgtable.h     |   4 +
>  include/linux/of_address.h        |  15 +---
>  include/linux/of_pci.h            |  18 ++++
>  include/linux/pci.h               |  24 ++++++
>  13 files changed, 463 insertions(+), 50 deletions(-)

I put this on a pci/liviu-generic-v11 branch.  I mentioned a couple things
in response to the individual patches, so I'm hoping you can send me
incremental patches to address them.  Then I'll update this branch, rename
it, and get it into linux-next.

Bjorn